Bug 132612 - [chinput] preedit buffer not intialise for new Input Context
[chinput] preedit buffer not intialise for new Input Context
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iiimf-le-chinput (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yu Shao
: i18n
Depends On:
Blocks: IIIMF
  Show dependency treegraph
 
Reported: 2004-09-15 01:29 EDT by Lawrence Lim
Modified: 2014-03-25 20:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.3-13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-30 05:14:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2004-09-15 01:29:44 EDT
Description of problem:
IMHO, the preedit buffer should be initialise in a new Input Context.
At the moment, if a preedit buffer is not empty and a new application
is started and toggle on the LE in the new application will cause the
preedit buffer in the previous application to appear.

Version-Release number of selected component (if applicable):
im-sdk-12.0.1-6.svn1891
iiimf-le-chinput-0.3-6

How reproducible:
Always

Steps to Reproduce:
1.start gnome-terminal
2.toggle on chinput LE and enter hong (do not commit)
3.start gedit
4.toggle on chinput LE and enter h 
  
Actual results:
In gedit, the preedit buffer will appear 'hong h'

Expected results:
Just 'h'

Additional info:
Comment 1 Lawrence Lim 2004-10-25 01:17:10 EDT
In iiimf-le-chinput-3.0-11, the bug has resurfaced again.

Steps:
1. log in as normal user with zh_CN locale and GNOME session
2. start gnome-terminal
3. toggle on (ctrl-space)
4. enter 'hong' (do not commit)
5. toggle off (ctrl-space)
6. toggle on (ctrl-space)
7. enter 'h'

Actaul Result:
preedit buffer contains 'hong h'

Expected result:
preedit buffer should be just 'h' instead of 'hong h'


Comment 2 Yu Shao 2004-10-30 05:14:06 EDT
fixed, clearing preedit when toggle the SC on.

Note You need to log in before you can comment on or make changes to this bug.